package com.example.getweather.entity;

import lombok.*;

import java.sql.Timestamp;

/**
 * 和风天气数据(日)
 */
@Data
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HeFengDay {
    /**
     * 时间
     */
    private Timestamp ts;

    /**
     * 国标码
     */
    private String areaCode;

    /**
     * 预报当天最高温度
     */
    private float tempMax;

    /**
     * 预报当天最低温度
     */
    private float tempMin;

    /**
     * 预报白天天气状况文字描述，包括阴晴雨雪等天气状态的描述
     */
    private String textDay;

    /**
     * 预报晚间天气状况文字描述，包括阴晴雨雪等天气状态的描述
     */
    private String textNight;

    /**
     * 预报白天风向360角度
     */
    private float wind360Day;

    /**
     * 预报白天风向
     */
    private String windDirDay;

    /**
     * 预报白天风力等级
     */
    private int windScaleDay;

    /**
     * 预报白天风速，公里/小时
     */
    private float windSpeedDay;
    /**
     * 预报白天风速，米/秒
     */
    private float windSpeedMDay;

    /**
     * 预报夜间风向360角度
     */
    private float wind360Night;

    /**
     * 预报夜间当天风向
     */
    private String windDirNight;

    /**
     * 预报夜间风力等级
     */
    private int windScaleNight;

    /**
     * 预报夜间风速，公里/小时
     */
    private float windSpeedNight;
    /**
     * 预报夜间风速，米/秒
     */
    private float windSpeedMNight;

    /**
     * 预报当天总降水量，默认单位：毫米
     */
    private float humidity;

    /**
     * 相对湿度，百分比数值
     */
    private float precip;

    /**
     * 大气压强，默认单位：百帕
     */
    private float pressure;

    /**
     * 向下短波辐射通量(W/M2)
     */
    private float dswrf;


}
